summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKarel Zak <kzak@redhat.com>2016-03-30 15:18:20 +0200
committerKarel Zak <kzak@redhat.com>2016-03-30 15:19:27 +0200
commit37dc502403e97415d23c6eb6e584ebf254a07dd9 (patch)
treec85e3662360eafa764313456ed8fd4e09dc48532
parente04f386084c72df17e1d1e7d7d3e1e420a198442 (diff)
downloadutil-linux-37dc502403e97415d23c6eb6e584ebf254a07dd9.tar.gz
tests: add DM error target for blkid
Signed-off-by: Karel Zak <kzak@redhat.com>
-rw-r--r--tests/expected/blkid/dm-err4
-rwxr-xr-xtests/ts/blkid/dm-err45
2 files changed, 49 insertions, 0 deletions
diff --git a/tests/expected/blkid/dm-err b/tests/expected/blkid/dm-err
new file mode 100644
index 000000000..66c824654
--- /dev/null
+++ b/tests/expected/blkid/dm-err
@@ -0,0 +1,4 @@
+Initialize device
+Probe device
+Return code: 2
+Deinitialize device
diff --git a/tests/ts/blkid/dm-err b/tests/ts/blkid/dm-err
new file mode 100755
index 000000000..d01f00225
--- /dev/null
+++ b/tests/ts/blkid/dm-err
@@ -0,0 +1,45 @@
+#!/bin/bash
+
+#
+# Copyright (C) 2016 Karel Zak <kzak@redhat.com>
+#
+# This file is part of util-linux.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+
+TS_TOPDIR="${0%/*}/../.."
+TS_DESC="DM error"
+
+. $TS_TOPDIR/functions.sh
+ts_init "$*"
+
+ts_check_test_command "$TS_CMD_BLKID"
+
+ts_skip_nonroot
+ts_check_prog "dmsetup"
+
+DEVNAME="blkid-dm-err"
+DEVICE="/dev/mapper/${DEVNAME}"
+
+ts_log "Initialize device"
+echo "0 262144 error" | dmsetup create $DEVNAME
+
+ts_log "Probe device"
+$TS_CMD_BLKID -p -o udev $DEVICE 2>&1 >> $TS_OUTPUT
+echo "Return code: $?" >> $TS_OUTPUT
+
+udevadm settle
+ts_log "Deinitialize device"
+
+dmsetup remove $DEVNAME
+
+ts_finalize